Subject: bug#65708: closed (Re: bug#65708: 30.0.50; Wrong default value for functions in filesets.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 11:01:02 +0000

Your bug report

#65708: 30.0.50; Wrong default value for functions in filesets.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65708: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65708: 30.0.50; Wrong default value for functions in filesets.el
From: Stefan Kangas <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 Sep 2023 03:59:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Mauro Aranda <[email-masked]> writes:

> One thing I observed is that there are lot of redundant tags in this
> file, like (function :tag "Function").  But anyway, those aren't bugs,
> so I didn't bothered.  I attach a patch for the emacs-29 branch.

Thanks, installed on master.  I didn't put it on the release branch, as
these are not really regressions, and have been there for a long time.

Subject: 30.0.50; Wrong default value for functions in filesets.el
From: Mauro Aranda <[email-masked]>
To: [email-masked]
Date: Sat, 2 Sep 2023 19:21:27 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

The following user options:
filesets-browse-dir-function
filesets-open-file-function
filesets-save-buffer-function
filesets-commands
filesets-external-viewers

have overridden the default value of the function widget to the value
nil.  That's an invalid default value.  It'd be better to just remove
that.